Flecs: EcsWorldSummary Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
EcsWorldSummary Struct Reference
C API » Addons » Stats

Component that stores a summary of world statistics. More...

`#include <stats.h>`

## Public Attributes
double | target_fps
| Target FPS.
double | time_scale
| Simulation time scale.
double | fps
| FPS.
double | frame_time_total
| Total time spent processing a frame.
double | system_time_total
| Total time spent in systems.
double | merge_time_total
| Total time spent in merges.
int64_t | entity_count
int64_t | table_count
int64_t | frame_count
| Number of frames processed.
int64_t | command_count
| Number of commands processed.
int64_t | merge_count
| Number of merges executed.
int64_t | systems_ran_total
int64_t | observers_ran_total
int64_t | queries_ran_total
int32_t | tag_count
| Number of tag (no data) ids in the world.
int32_t | component_count
| Number of component (data) ids in the world.
int32_t | pair_count
| Number of pair ids in the world.
double | frame_time_frame
| Time spent processing a frame.
double | system_time_frame
| Time spent in systems.
double | merge_time_frame
| Time spent in merges.
int64_t | merge_count_frame
int64_t | systems_ran_frame
int64_t | observers_ran_frame
int64_t | queries_ran_frame
int64_t | command_count_frame
| Number of commands processed in last frame.
double | simulation_time
| Time spent in simulation.
uint32_t | uptime
| Time since world was created.
ecs_build_info_t | build_info
| Build info.

## Detailed Description

Component that stores a summary of world statistics.

Definition at line 460 of file stats.h.

## Member Data Documentation

## ◆ build_info

ecs_build_info_t EcsWorldSummary::build_info

Build info.

Definition at line 500 of file stats.h.

## ◆ command_count

int64_t EcsWorldSummary::command_count

Number of commands processed.

Definition at line 474 of file stats.h.

## ◆ command_count_frame

int64_t EcsWorldSummary::command_count_frame

Number of commands processed in last frame.

Definition at line 494 of file stats.h.

## ◆ component_count

int32_t EcsWorldSummary::component_count

Number of component (data) ids in the world.

Definition at line 482 of file stats.h.

## ◆ entity_count

int64_t EcsWorldSummary::entity_count

Definition at line 471 of file stats.h.

## ◆ fps

double EcsWorldSummary::fps

FPS.

Definition at line 464 of file stats.h.

## ◆ frame_count

int64_t EcsWorldSummary::frame_count

Number of frames processed.

Definition at line 473 of file stats.h.

## ◆ frame_time_frame

double EcsWorldSummary::frame_time_frame

Time spent processing a frame.

Definition at line 486 of file stats.h.

## ◆ frame_time_total

double EcsWorldSummary::frame_time_total

Total time spent processing a frame.

Definition at line 467 of file stats.h.

## ◆ merge_count

int64_t EcsWorldSummary::merge_count

Number of merges executed.

Definition at line 475 of file stats.h.

## ◆ merge_count_frame

int64_t EcsWorldSummary::merge_count_frame

Definition at line 490 of file stats.h.

## ◆ merge_time_frame

double EcsWorldSummary::merge_time_frame

Time spent in merges.

Definition at line 488 of file stats.h.

## ◆ merge_time_total

double EcsWorldSummary::merge_time_total

Total time spent in merges.

Definition at line 469 of file stats.h.

## ◆ observers_ran_frame

int64_t EcsWorldSummary::observers_ran_frame

Definition at line 492 of file stats.h.

## ◆ observers_ran_total

int64_t EcsWorldSummary::observers_ran_total

Definition at line 478 of file stats.h.

## ◆ pair_count

int32_t EcsWorldSummary::pair_count

Number of pair ids in the world.

Definition at line 483 of file stats.h.

## ◆ queries_ran_frame

int64_t EcsWorldSummary::queries_ran_frame

Definition at line 493 of file stats.h.

## ◆ queries_ran_total

int64_t EcsWorldSummary::queries_ran_total

Definition at line 479 of file stats.h.

## ◆ simulation_time

double EcsWorldSummary::simulation_time

Time spent in simulation.

Definition at line 496 of file stats.h.

## ◆ system_time_frame

double EcsWorldSummary::system_time_frame

Time spent in systems.

Definition at line 487 of file stats.h.

## ◆ system_time_total

double EcsWorldSummary::system_time_total

Total time spent in systems.

Definition at line 468 of file stats.h.

## ◆ systems_ran_frame

int64_t EcsWorldSummary::systems_ran_frame

Definition at line 491 of file stats.h.

## ◆ systems_ran_total

int64_t EcsWorldSummary::systems_ran_total

Definition at line 477 of file stats.h.

## ◆ table_count

int64_t EcsWorldSummary::table_count

Definition at line 472 of file stats.h.

## ◆ tag_count

int32_t EcsWorldSummary::tag_count

Number of tag (no data) ids in the world.

Definition at line 481 of file stats.h.

## ◆ target_fps

double EcsWorldSummary::target_fps

Target FPS.

Definition at line 462 of file stats.h.

## ◆ time_scale

double EcsWorldSummary::time_scale

Simulation time scale.

Definition at line 463 of file stats.h.

## ◆ uptime

uint32_t EcsWorldSummary::uptime

Time since world was created.

Definition at line 497 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h